#include "bits/stdc++.h"

using namespace std;

#define int long long

void solve() {
    int N, n, M, m, k, q;
    cin >> N >> n >> M >> m >> k >> q;

    int cnt = 0;

    while (q--) {
        if (cnt % 2 == 0) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
        cnt++;
    }
}
signed main() {
#ifdef local
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    int akbalin = 1;
    // cin >> akbalin;

    for (int i = 1; i <= akbalin; i++) {
        solve();
    }
}